function imglist_addupload(obj,uppath,upname,uptext,upindex)
{
    var event_obj,new_temp;
    event_obj=parent.document.all.obj;
    var new_temp="<br /><input type='text' name='p_picList' size='40' maxlength='100'>&nbsp;<a href='upload.asp?uppath=" + uppath + "&upname=&uptext=" + uptext + "&upindex=" + upindex+1 + "' target='upload_frame'>上传图片</a>&nbsp;<a href='javascript:void();' onclick='open_newpic(document.all." + uptext + "[" + upindex + "])'>浏览原图</a>";
    if (upindex>0){
        var this_obj;
        this_obj=parent.document.all.uptext[upindex-1];
        if(event_obj){
            if(this_obj){
                if(this_obj.value==''){
                    event_obj.innerHTML=event_obj.innerHTML + new_temp;
                }
            }
            else{
                event_obj.innerHTML=event_obj.innerHTML + new_temp;
            }
        }
    }
    else {
        if(event_obj){
            event_obj.innerHTML=event_obj.innerHTML + new_temp;
        }
    }
}